1.6.4

DartCraft Beta 0.2.20

  • #121
    the bag bug is like the bug with forestry backpack on a server , sometime the bag lag and fall or disapear .
    Youtube => arikewaza
  • #122
    Very unique mod, I will be keeping an eye on this for sure.
  • #123
    Quote from Shurhaian

    This would be nice. Just as force bricks can now be crafted, it'd be nice to do the same with dyes - say, eight force bricks of any colour around the dye of choice. (I think this is most readily accomplished by way of the ore dictionary, making all force bricks a "class" of item, but not sure of that or of the proper wording. At any rate, having a single recipe for each dye, rather than needing one recipe per colour of ingredient per product, would be a LOT simpler all around, and allow for odd bricks to be used.) Yes, it's less efficient for dye than the painter (8 bricks coloured vs 32), but it's convenient and doesn't require IC2.


    I like that idea. As it stands, the only way to get them on my server is to cheat, and while I don't mind cheating, since NEI removed deleting blocks in inventories (even if you're an op) it's less convenient than crafting properly.

    If you say "plz" because it's shorter than "Please," I'll say "No" because it's shorter than "Yes."
  • #124
    Desperately needs better and more unique textures but other than that very epic mod! Looking forward to seeing this becoming one of the greats! :)
  • #125
    Quote from arike

    the bag bug is like the bug with forestry backpack on a server , sometime the bag lag and fall or disapear .

    nah... not really... they drop from the mod, fall to the ground and stay there just long enough for you to see that it dropped... and then they vanish, without letting you loot it... even if you're right on top of the drop...
    it wasn't doing it in 1.11... it started in 1.12...

    as for the dimension crafting... mDiyos stencil table has the same issue... the people on the sever can't make patterns in the mining world... and I can't use the "enchanter" in the mining world... weird...
    Last edited by prodotes: 5/16/2013 1:28:51 AM
  • #126
    i've been trying to use your force trees and liquid force to transform my current biome into a force biome, but the thing is i don't have a block that's good enough to replace the grass, maybe that could be an idea for a next feature, some way to transform the grass wich could be a requirement for something nature related to grow or be placed.
    it's just an idea though feel free to do with it what you want
    please help with a simple click
  • #127
    Just for you to notice, your recipe for cobweb is the same as DrZahrk's Mo'Creatures for rope.
  • #128
    Not sure how useful this information is for anyone but while some 1.5.1 mods work with 1.5.2, this one does not. Hope that is useful for someone.

    If you say "plz" because it's shorter than "Please," I'll say "No" because it's shorter than "Yes."
  • #129
    Similar thing with Mystcraft...
  • #130
    Mystcraft is actually broken by Forge 665, though. This mod just needs to be redone with reobfuscate_srg. I know it works because I deobfuscated/reobfuscated it myself yesterday and have it running on 1.5.2 just fine.
  • #131
    Is it possible to reobfuscate/deobfuscate DartCraft for running on 1.5.2? Just can't begin new world without this great mod)))
  • #132
    Updated to Beta 0.1.13 for Minecraft 1.5.1 and 1.5.2. Fixed the bug where the Force Infuser did not work in dimensions other than the overworld. Also fixed the bug where Spoils Bags dropped without initializing and therefore vanished. DartCraft should now run on any version of Minecraft that is not significantly different from the one it was designed for. Added recoloring recipes for Force Bricks using vanilla dyes. Force Armor is now directly upgradable instead of socketable. Added various upgrades to the Force Armor, including the new Bane and Bleed upgrades. Added the Force upgrade to the Item Card and two new cheat commands.

    Thank you to everyone who pointed out the dimension glitch. The Spoils Bag glitch was already fixed by the time I checked this thread, but then you guys gave me a new glitch to fix. The reobfuscation method has been changed in favor of a less version-dependent one, but I only spent an hour or so testing DartCraft in 1.5.2 so complete stability is not guaranteed. Have fun!
  • #133
    Getting a crash with new beta 0.1.13 on the client side. NEI is not installed due to it not compatible with new the new forge version.

    java.lang.NoClassDefFoundError: codechicken/nei/api/IStackPositioner
    Last edited by TheOnlyRupert: 5/16/2013 11:34:10 AM
  • #134
    thx for you work and the update .
    Youtube => arikewaza
  • #135
    Quote from Sniperbolt

    Getting a crash with new beta 0.1.13 on the client side. NEI is not installed due to it not compatible with new the new forge version.

    java.lang.NoClassDefFoundError: codechicken/nei/api/IStackPositioner


    As a temporary fix you might want to check CodeChickens thread. On one of the last pages is a link to an unofficial version of codechickencore which runs with forge builds 700 and 702 (at least I tested these builds...)

    Edit: @bluedart Any chance you'd check for possibilities of SoulShards-spawned monsters not dropping the spoils bags? got tons of them in my old world with an older version of your mods from my automatic blaze farm....in fact I got so many of them, that I had to void the bags ^^

    Edit2: Chickenbones updated, so no need for an unofficial update anymore ;)
    Last edited by RustyXXL: 5/16/2013 2:13:48 PM
  • #136
    Quote from RustyXXL

    As a temporary fix you might want to check CodeChickens thread. On one of the last pages is a link to an unofficial version of codechickencore which runs with forge builds 700 and 702 (at least I tested these builds...)


    Wrong. Chickenbones fixed the issue himself. You do not need an unofficial build anymore.
  • #137
    Thanks for update. Seems working fine on forge 689. Incredible mod!
  • #138
    Quote from JustHev

    Wrong. Chickenbones fixed the issue himself. You do not need an unofficial build anymore.

    Thx...the last time I looked at the topic the official update wasn't there, and I last checked only a few h ago ;)
  • #139
    Quote from Sniperbolt

    Getting a crash with new beta 0.1.13 on the client side. NEI is not installed due to it not compatible with new the new forge version.

    java.lang.NoClassDefFoundError: codechicken/nei/api/IStackPositioner



    + 1 not install NEI and CCC and this error (forge 703)


    Consider installing NEI, BuildCraft, Forestry, IndustrialCraft and ThaumCraft as DartCraft enhances the experiences of these mods. Of course Forge is the only other mod that is required.


    and dont work
    last CCC and last NEI
    Last edited by yakushin: 5/16/2013 3:16:56 PM
  • #140
    Very cool mod! Haven't seen a mod this good in a while! I love your integration with the other major forge mods.

    PS: Did you base the force gems off the ones in Zelda?
  • To post a comment, please or register a new account.
Posts Quoted:
Reply
Clear All Quotes